Subject: Re: bug#27399: 26.0.50; Tooltips displayed on images in shr do not line wrap

From: [email-masked] (Adam Sjøgren)
Date: Fri, 16 Jun 2017 19:26:32 +0200

Eli writes:

>> When displaying tooltips (the content of an HTML title attribute, for
>> instance) with long texts, the text is not line wrapped.
>> 
>> Here is a screenshot from an xkcd comic, showing the problem:
>> 
>>  · https://koldfront.dk/misc/gnu-emacs//gnus_shr_long_titles_wasnt_this_fixed.png
>> 
>> Tooltip texts should be line wrapped, because otherwise you can't read
>> the entire text. It used to be, as far as I remember, so this is
>> probably a regression.

> Are you sure you saw lines wrapping in tooltips?  AFAIR, text shown in
> a tooltip should be preformatted to not require wrapping.

I'm pretty sure, I contributed a patch in 2014 implementing it in
shr.el:

 · http://article.gmane.org/gmane.emacs.devel/179964/

As a result a slightly way to fix the problem was committed by Lars:

 · http://article.gmane.org/gmane.emacs.devel/180011
 · http://git.savannah.gnu.org/cgit/emacs.git/commit/lisp/net/shr.el?id=76f9994d677e0440584216e4e47be37e2d3dc312

But it seems not to work any more.